Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001930graphvizTcl/Tk Utilitiespublic2010-07-27 18:102011-08-03 14:54
ReporterLloyd Lewins 
Assigned Toellson 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Windows-CygwinOS Version
Summary0001930: Tcldot generates segv if no plugins found
Description



It Tcldot is run when no plug-ins are specified (for example if the config6)
file is missing, then it generates a segv when layout is performed. The problem
appears to be with the fprintf (giving an error message) at line 618. In the case
where engine is null, gvplugin_list doesn't check for the pointer str
being null before calling strdup on it -- this causes a segv inside
strlen.
Steps To Reproduce

package require Tcldot
set c [canvas .c]
pack $c
set g [dotnew digraph rankdir LR]
$g setnodeattribute style filled color white
[$g addnode Hello] addedge [$g addnode World!]
$g layout
if {[info exists debug]} {
    puts [$g render] ;# see what render produces
}
eval [$g render]
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTgraphviz2/lib/gvc/gvplugin.c revision 1.92
FORMER-ID2007
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.26-3
Attached Files

- Relationships

-  Notes
User avatar (0000020)
ellson (administrator)
2011-06-11 11:02

(closed wrong issue - reopen)

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695
2011-06-11 10:56 ellson FIX-COMMENT => graphviz2/lib/gvc gvconfig.c,1.115,1.116
2011-06-11 10:56 ellson Status acknowledged => resolved
2011-06-11 10:56 ellson Resolution open => fixed
2011-06-11 11:02 ellson Note Added: 0000020
2011-06-11 11:02 ellson Status resolved => assigned
2011-06-11 11:18 ellson FIX-COMMENT graphviz2/lib/gvc gvconfig.c,1.115,1.116 => graphviz2/lib/gvc/gvplugin.c revision 1.92
2011-06-11 11:18 ellson Status assigned => resolved
2011-08-03 14:54 erg Status resolved => closed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker